# Pull base image
FROM python:3.10-slim-bullseye
# Set environment variables
ENV PIP_DISABLE_PIP_VERSION_CHECK 1
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1
# Set Work directory
WORKDIR /code
# Install Dependencies
COPY requirements.txt .
RUN pip install -r requirements.txt
# Copy project
COPY . .

EXPOSE 8000

CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]
